# Generated by Django 4.1 on 2022-09-20 13:12

import django.db.models.deletion
from django.db import migrations, models

import seawatch_registration.models


class Migration(migrations.Migration):
    dependencies = [
        ("volunteers", "0028_alter_experience_mission_name"),
    ]

    operations = [
        migrations.CreateModel(
            name="NGO",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", seawatch_registration.models.ShortTextField()),
            ],
        ),
        migrations.CreateModel(
            name="Ship",
            fields=[
                (
                    "id",
                    models.AutoField(
                        auto_created=True,
                        primary_key=True,
                        serialize=False,
                        verbose_name="ID",
                    ),
                ),
                ("name", seawatch_registration.models.ShortTextField()),
            ],
        ),
        migrations.AddField(
            model_name="experience",
            name="ngo",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="volunteers.ngo",
            ),
        ),
        migrations.AddField(
            model_name="experience",
            name="ship",
            field=models.ForeignKey(
                blank=True,
                null=True,
                on_delete=django.db.models.deletion.PROTECT,
                related_name="+",
                to="volunteers.ship",
            ),
        ),
    ]
